Bug 675498 - attaching usb device causes startup error:Property 'usb-host.hostaddr' doesn't take value '009'
attaching usb device causes startup error:Property 'usb-host.hostaddr' doesn'...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-05 19:42 EST by Máirín Duffy
Modified: 2012-01-24 17:36 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 17:36:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2011-02-05 19:42:42 EST
Description of problem:
I have a Windows XP guest. I have a Canon MX 860 printer. I'm trying to run a windows-only configure application with the printer. I go into the details of the shut off windows guest in virt manager, and add a device - USB > I choose the printer. When I then attempt to boot the windows guest I get the following traceback:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 878, in run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 1321, in startup
    self._backend.create()
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 333, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error Process exited while reading console log output: char device redirected to /dev/pts/1
qemu-kvm: -device usb-host,hostbus=001,hostaddr=009,id=hostdev2: Property 'usb-host.hostaddr' doesn't take value '009'

The windows guest will not boot unless I delete the USB device.

Version-Release number of selected component (if applicable):
virt-manager-0.8.5-1.fc14.noarch
kernel-2.6.35.10-74.fc14.x86_64
qemu-common-0.13.0-1.fc14.x86_64
qemu-img-0.13.0-1.fc14.x86_64
qemu-system-x86-0.13.0-1.fc14.x86_64


How reproducible:
happens every time :(
Comment 1 Cole Robinson 2011-03-23 18:02:30 EDT
Still seeing this with latest libvirt from updates-testing? Please 'service libvirtd restart' as well.

If so, for the broken guest, can you please provide the output of

sudo virsh dumpxml $your-vm-name
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:55:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:58:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:54:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:56:33 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:00:09 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:01:57 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Cole Robinson 2012-01-24 17:36:36 EST
Closing INSUFFICIENT_DATA (and f14 is eol)

Note You need to log in before you can comment on or make changes to this bug.